> ## Documentation Index
> Fetch the complete documentation index at: https://agnt.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Search Accounts

> Return Search Result



## OpenAPI

````yaml /openapi/tiktok.openapi.json get /v1/data/tiktok/search/accounts/query
openapi: 3.0.0
info:
  title: agntdata TikTok API
  description: >-
    Robust and easy-to-use TikTok API providing extensive TikTok user profiles,
    in-depth TikTok video insights, and trending TikTok content. The API enables
    powerful search capabilities across TikTok users, videos, sounds, and
    hashtags, making it ideal for deep TikTok analytics and audience engagement
    insights.
  version: 1.0.0
  contact:
    name: agntdata
    url: https://agntdata.dev
servers:
  - url: https://api.agntdata.dev
    description: agntdata API
security:
  - ApiKeyAuth: []
tags:
  - name: User
    description: ''
  - name: Video
    description: ''
  - name: Search
    description: ''
  - name: Collections
    description: ''
paths:
  /v1/data/tiktok/search/accounts/query:
    get:
      tags:
        - Search
      summary: Search Accounts
      description: Return Search Result
      operationId: Search_Accounts
      parameters:
        - name: query
          in: query
          required: true
          schema:
            type: string
            default: mr beast
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Get_tiktok_search_accounts_query_Response'
              example:
                query: ''
                users: []
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Get_tiktok_search_accounts_query_Response422
              example:
                detail:
                  - loc: []
                    msg: ''
                    type: ''
      security:
        - ApiKeyAuth: []
components:
  schemas:
    Get_tiktok_search_accounts_query_Response:
      title: SearchUsersResponse
      type: object
      properties:
        query:
          title: Query
          type: string
        users:
          title: Users
          type: array
          items: {}
      description: Schema Class for a Tiktok Search Result Video
    Get_tiktok_search_accounts_query_Response422:
      title: HTTPValidationError
      type: object
      properties:
        detail:
          title: Detail
          type: array
          items:
            title: ValidationError
            required:
              - loc
              - msg
              - type
            type: object
            properties:
              loc:
                title: Location
                type: array
                items:
                  type: string
              msg:
                title: Message
                type: string
              type:
                title: Error Type
                type: string
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      description: >-
        Bearer token. Pass your agntdata API key as: Authorization: Bearer
        agnt_live_...

````